package com.winhc.phoenix.example.configuration;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: XuJiakai
 * @Date: 2020/9/17 14:56
 * @Description:
 */
@Data
@Configuration
public class DataWorksAccessProperties {
    @Value("${odps.access-key-id}")
    private String accessKeyId;
    @Value("${odps.access-key-secret}")
    private String accessKeySecret;
    @Value("${odps.region-id}")
    private String regionId;
}