package com.winhc.phoenix.example.configuration;

import com.aliyun.openservices.ons.api.ONSFactory;
import com.aliyun.openservices.ons.api.Producer;
import com.aliyun.openservices.ons.api.PropertyKeyConst;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Properties;

/**
 * @author: XuJiakai
 * 2020/10/30 17:13
 */
@Configuration
public class RocketMqConfiguration {
    public static final String ACCESS_KEY = "LTAIHAdBYQjCFHki";
    public static final String SECRET_KEY = "sVj8EYkyKRYqdwAF0oY5GzCcTt9h3G";
    public static final String NAMESRV_ADDR = "http://onsaddr-internet.aliyun.com/rocketmq/nsaddr4client-internet";

    @Bean
    public Producer rocketmq() {
        Properties producerProperties = new Properties();
        producerProperties.setProperty(PropertyKeyConst.AccessKey, ACCESS_KEY);
        producerProperties.setProperty(PropertyKeyConst.SecretKey, SECRET_KEY);
        producerProperties.put(PropertyKeyConst.ONSAddr, NAMESRV_ADDR);
        Producer producer = ONSFactory.createProducer(producerProperties);
        producer.start();
        return producer;
    }
}
