package com.winhc.phoenix.example.util;

import java.util.Arrays;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author: XuJiakai
 * 2021/11/17 17:12
 */
public class QueryIntentRecognitionUtils {
    public static List<QueryIntentRecognitionType> recognition(String content) {
        if (isEmail(content)) {
            return Arrays.asList(QueryIntentRecognitionType.EMAIL);
        }

        return null;
    }

    private static final Pattern email = Pattern.compile("[a-z_A-Z0-9\\-.]+@[a-zA-Z0-9\\-]+[.(a-zA-Z0-9\\-)]+");

    private static Boolean isEmail(String content) {
        Matcher matcher = email.matcher(content);
        return matcher.matches();
    }
}
