package com.winhc.phoenix.example.util.company.search;

import org.elasticsearch.script.Script;

import java.util.Map;

/**
 * @author: XuJiakai
 * 2021/8/9 14:50
 */
public class ElasticSearchScriptTest {


    public static Script getTestScript(Map<String, Object> map) {
        return CompanyIndexUtils.getScript("double w = doc['company_score_weight'].value;" +
                "if(doc['company_type'].value!=null&&doc['company_type'].value.equals('4'))w = w+4;" +
                "if(params.query_content.contains('律'))w = w+1; " +
                "if(doc['app_info.keyword'].values!=null){int size = doc['app_info.keyword'].values.size();" +
                "if(size<3)w = w+2;" +
                "else if(size<8) w=w+3;" +
                "else if(size<15) w=w+4;" +
                "else if(size<100) w=w+8;" +
                "else w=w+10;" +
                "}" +
                "if(doc['company_tm.keyword'].values!=null){int size = doc['company_tm.keyword'].values.size();" +
                "if(size<80)w = w+0;" +
                "else if(size<100) w=w+3;" +
                "else if(size<200) w=w+4;" +
                "else if(size<1000) w=w+8;" +
                "else w=w+10;" +
                "}" +
                "if(doc['tags.tag_code'].values!=null){int size = doc['tags.tag_code'].values.size();" +
                "if(size<=2)w = w+1;" +
                "else w=w+2;" +
                "if(doc['tags.tag_code'].values.contains('b_001')) w=w+4;" +
                "}" +
                "double r = 0d;" +
                "if(doc['company_rank'].value!=null)r = doc['company_rank'].value;" +
                "return w*params.der+r*(1-params.der);", map);
    }


    public static void main(String[] args) {
        String script = "double w = doc['company_score_weight'].value;" +
                "if(doc['company_type'].value!=null&&doc['company_type'].value.equals('4'))w = w+4;" +
                "if(params.query_content.contains('律'))w = w+1; " +
                "if(doc['app_info.keyword'].values!=null){int size = doc['app_info.keyword'].values.size();" +
                "if(size<3)w = w+2;" +
                "else if(size<8) w=w+3;" +
                "else if(size<15) w=w+4;" +
                "else if(size<100) w=w+8;" +
                "else w=w+10;" +
                "}" +
                "if(doc['company_tm.keyword'].values!=null){int size = doc['company_tm.keyword'].values.size();" +
                "if(size<80)w = w+0;" +
                "else if(size<100) w=w+3;" +
                "else if(size<200) w=w+4;" +
                "else if(size<1000) w=w+8;" +
                "else w=w+10;" +
                "}" +
                "if(doc['tags.tag_code'].values!=null){int size = doc['tags.tag_code'].values.size();" +
                "if(size<=2)w = w+1;" +
                "else w=w+2;" +
                "if(doc['tags.tag_code'].values.contains('b_001')) w=w+4;" +
                "}" +
                "double r = 0d;" +
                "if(doc['company_rank'].value!=null)r = doc['company_rank'].value;" +
                "return w*params.der+r*(1-params.der);";

        System.out.println(script);
    }


}
